### Method

# Gio File query_file_type

since: 2.18

#### Declaration [src]

    GFileType
    g_file_query_file_type (
      GFile* file,
      GFileQueryInfoFlags flags,
      GCancellable* cancellable
    )

#### Description [src]

Utility function to inspect the `GFileType` of a file. This is implemented using `g_file_query_info()` and as such does blocking I/O.

The primary use case of this method is to check if a file is a regular file, directory, or symlink.

Available since: 2.18

#### Parameters

`flags`

  Type: `GFileQueryInfoFlags`

  A set of `GFileQueryInfoFlags` passed to g_file_query_info().

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `GFileType`

The `GFileType` of the file and `G_FILE_TYPE_UNKNOWN` if the file does not exist.